=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.3.0~),
-               libakonadi-dev (>= 4:24.08.2~),
-               libakonadimime-dev (>= 4:24.08.2~),
-               libkf6archive-dev (>= 6.3.0~),
-               libkf6config-dev (>= 6.3.0~),
-               libkf6coreaddons-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
-               libkf6kio-dev (>= 6.3.0~),
-               libkmime-dev (>= 24.08.2~),
-               libpimcommon-dev (>= 4:24.08.2~),
-               qt6-base-dev (>= 6.6.0+dfsg~),
+               extra-cmake-modules (>= 6.6.0~),
+               libakonadi-dev (>= 4:24.12.0~),
+               libakonadimime-dev (>= 4:24.12.0~),
+               libkf6archive-dev (>= 6.6.0~),
+               libkf6config-dev (>= 6.6.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6kio-dev (>= 6.6.0~),
+               libkmime-dev (>= 24.12.0~),
+               libpimcommon-dev (>= 4:24.12.0~),
+               qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,
 Standards-Version: 4.7.0
@@ -39,7 +39,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6archive-dev (>= 6.3.0~),
+Depends: libkf6archive-dev (>= 6.6.0~),
          libkpim6mailimporter6 (= ${binary:Version}),
          libkpim6mailimporterakonadi6 (= ${binary:Version}),
          ${misc:Depends},
