=== debian/control ===
--- 
+++ 
@@ -3,19 +3,19 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:24.12.0~),
-               libakonadimime-dev (>= 4:24.12.0~),
+               libakonadi-dev (>= 4:24.12.2~),
+               libakonadimime-dev (>= 4:24.12.2~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6coreaddons-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkmime-dev (>= 24.12.0~),
-               libpimcommon-dev (>= 4:24.12.0~),
+               libkmime-dev (>= 24.12.2~),
+               libpimcommon-dev (>= 4:24.12.2~),
                qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,
