## mailimporter 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.2.2")
+set(PIM_VERSION "6.3.3")
 
 project(MailImporter VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.3.0")
-set(QT_REQUIRED_VERSION "6.6.0")
+set(KF_MIN_VERSION "6.6.0")
+set(QT_REQUIRED_VERSION "6.7.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -20,7 +20,7 @@
 include(FeatureSummary)
 include(KDEGitCommitHooks)
 include(KDEClangFormat)
-file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 
 include(ECMQtDeclareLoggingCategory)
@@ -34,12 +34,18 @@
 
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
+include(ECMCheckOutboundLicense)
+file(GLOB_RECURSE ALL_SOURCE_FILES
+src/*.cpp
+src/*.h
+)
+ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 
-set(AKONADIMIME_LIB_VERSION "6.2.2")
-set(KMIME_LIB_VERSION "6.2.2")
-set(AKONADI_VERSION "6.2.2")
-set(PIMCOMMON_LIB_VERSION "6.2.2")
+set(AKONADIMIME_LIB_VERSION "6.3.3")
+set(KMIME_LIB_VERSION "6.3.3")
+set(AKONADI_VERSION "6.3.3")
+set(PIMCOMMON_LIB_VERSION "6.3.3")
 
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test Xml)
 
@@ -57,7 +63,7 @@
 
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.7.2 KF 6.4.0)
+ecm_set_disabled_deprecation_versions(QT 6.8.0 KF 6.8.0)
 
 
 ########### CMake Config Files ###########
