=== debian/control ===
--- 
+++ 
@@ -7,19 +7,19 @@
                dh-sequence-kf6,
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:24.12.2~),
-               libakonadimime-dev (>= 4:24.12.2~),
+               libakonadi-dev (>= 4:24.12.3~),
+               libakonadimime-dev (>= 4:24.12.3~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6coreaddons-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkmime-dev (>= 24.12.2~),
-               libpimcommon-dev (>= 4:24.12.2~),
+               libkmime-dev (>= 24.12.3~),
+               libpimcommon-dev (>= 4:24.12.3~),
                qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/mailimporter
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mailimporter
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mailimporter.git
