=== debian/control ===
--- 
+++ 
@@ -1,28 +1,29 @@
 Source: mailimporter
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:24.12.3~),
-               libakonadimime-dev (>= 4:24.12.3~),
+               libakonadi-dev (>= 4:25.04.0~),
+               libakonadimime-dev (>= 4:25.04.0~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6coreaddons-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkmime-dev (>= 24.12.3~),
-               libpimcommon-dev (>= 4:24.12.3~),
+               libkmime-dev (>= 25.04.0~),
+               libpimcommon-dev (>= 4:25.04.0~),
                qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/mailimporter
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mailimporter
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mailimporter.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailimporter
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailimporter
 Rules-Requires-Root: no
 
 Package: libmailimporter-data
