=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.04.0~),
-               libakonadimime-dev (>= 4:25.04.0~),
+               libakonadi-dev (>= 4:25.04.1~),
+               libakonadimime-dev (>= 4:25.04.1~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6coreaddons-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.04.0~),
-               libpimcommon-dev (>= 4:25.04.0~),
+               libkmime-dev (>= 25.04.1~),
+               libpimcommon-dev (>= 4:25.04.1~),
                qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,
