## mailimporter 25.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.4.80")
+set(PIM_VERSION "6.5.0")
 
 project(MailImporter VERSION ${PIM_VERSION})
 
@@ -59,10 +59,10 @@
 )
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
-set(AKONADIMIME_LIB_VERSION "6.4.80")
-set(KMIME_LIB_VERSION "6.4.80")
-set(AKONADI_VERSION "6.4.80")
-set(PIMCOMMON_LIB_VERSION "6.4.80")
+set(AKONADIMIME_LIB_VERSION "6.5.0")
+set(KMIME_LIB_VERSION "6.5.0")
+set(AKONADI_VERSION "6.5.0")
+set(PIMCOMMON_LIB_VERSION "6.5.0")
 
 find_package(
     Qt6
